[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TDragBand

Represents the drag actions for TCoolBar.

## Declaration

Source position: comctrls.pp line 2438

`type TDragBand = (`
`dbNone,` |  | No action. Do not allow dragging.
`dbMove,` |  | Move or re-order the band.
`dbResize` |  | Resize the band.
`);`

## Description

TDragBand is an enumerated type with values that indicates the action performed when a TCoolBar band control is dragged. TDragBand is used in the implementation of TCustomCoolBar / TCoolBar.

## See also

TCustomCoolBar.MouseDown |  | Handles mouse down messages for the control.
TCustomCoolBar.MouseMove |  | Handles mouse move messages for the control.
TCustomCoolBar.RemoveControl |  | Removes the band with the specified control.